Subject: Re: bug#39486: Test fail of tests/misc/env-S.pl and tests/misc/tty

From: Bernhard Voelker <[email-masked]>
Date: Mon, 10 Feb 2020 08:11:54 +0100

On 2020-02-07 16:23, ZJU wrote:
> 2. When i run the test suit as root, there were about 12 failures, dose the
> root influence the test suit? 

Indeed, the regular tests ('make check') are not intended to be run as 'root'.
Instead, there are several tests which are, and the best way to start those
is documented in the README file:

  sudo env PATH="$PATH" NON_ROOT_USERNAME=$USER make -k check-root

Have a nice day,
Berny